STOFFChart::Axis Struct Reference documentation

STOFFChart::Axis Struct Reference

a axis in a chart More...

`#include <STOFFChart.hxx>`

## Public Types
enum | Type { A_None , A_Numeric , A_Logarithmic , A_Sequence , A_Sequence_Skip_Empty }
| the axis content More...

## Public Member Functions
| Axis ()
| constructor
| ~Axis ()
| destructor
void | addContentTo (librevenge::RVNGString const &sheetName, int coord, librevenge::RVNGPropertyList &propList) const
| add content to the propList
void | addStyleTo (librevenge::RVNGPropertyList &propList) const
| add style to the propList

## Public Attributes
Type | m_type
| the sequence type
bool | m_showGrid
| show or not the grid
bool | m_showLabel
| show or not the label
STOFFBox2i | m_labelRange
| the label range if defined

## Friends
std::ostream & | operator<< (std::ostream &o, STOFFChart::Axis const &axis)
| operator<<

## Detailed Description

a axis in a chart

## Member Enumeration Documentation

## ◆ Type

enum STOFFChart::Axis::Type

the axis content

Enumerator
A_None |
A_Numeric |
A_Logarithmic |
A_Sequence |
A_Sequence_Skip_Empty |

## Constructor & Destructor Documentation

## ◆ Axis()

STOFFChart::Axis::Axis | ( |  | ) |

constructor

Referenced by Axis().

## ◆ ~Axis()

STOFFChart::Axis::~Axis | ( |  | ) |

destructor

## Member Function Documentation

## ◆ addContentTo()

void STOFFChart::Axis::addContentTo | ( | librevenge::RVNGString const & | sheetName,
|  | int | coord,
|  | librevenge::RVNGPropertyList & | propList ) const

add content to the propList

## ◆ addStyleTo()

void STOFFChart::Axis::addStyleTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add style to the propList

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | STOFFChart::Axis const & | axis )
| friend

operator<<

## Member Data Documentation

## ◆ m_labelRange

STOFFBox2i STOFFChart::Axis::m_labelRange

the label range if defined

Referenced by addContentTo(), Axis(), and operator<<.

## ◆ m_showGrid

bool STOFFChart::Axis::m_showGrid

show or not the grid

Referenced by addContentTo(), Axis(), and operator<<.

## ◆ m_showLabel

bool STOFFChart::Axis::m_showLabel

show or not the label

Referenced by addContentTo(), addStyleTo(), Axis(), and operator<<.

## ◆ m_type

Type STOFFChart::Axis::m_type

the sequence type

Referenced by addContentTo(), addStyleTo(), Axis(), and operator<<.

The documentation for this struct was generated from the following files:

- STOFFChart.hxx
- STOFFChart.cxx